<?php
/**
 * Customizer
 * 
 * @package WordPress
 * @subpackage radiant-mega-shop
 * @since radiant-mega-shop 1.0
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function radiant_mega_shop_customize_register( $wp_customize ) {
	$wp_customize->add_section( new Radiant_Mega_Shop_Upsell_Section($wp_customize,'upsell_section',array(
		'title'            => __( 'Radiant Mega Shop Pro', 'radiant-mega-shop' ),
		'button_text'      => __( 'Upgrade Pro', 'radiant-mega-shop' ),
		'url'              => 'https://www.wpradiant.net/products/mega-shop-wordpress-theme',
		'priority'         => 0,
	)));
}
add_action( 'customize_register', 'radiant_mega_shop_customize_register' );

/**
 * Enqueue script for custom customize control.
 */
function radiant_mega_shop_custom_control_scripts() {
	wp_enqueue_script( 'radiant-mega-shop-custom-controls-js', get_template_directory_uri() . '/assets/js/custom-controls.js', array( 'jquery', 'jquery-ui-core', 'jquery-ui-sortable' ), '1.0', true );
	wp_enqueue_style( 'radiant-mega-shop-customize-controls', trailingslashit( get_template_directory_uri() ) . '/assets/css/customize-controls.css' );
}
add_action( 'customize_controls_enqueue_scripts', 'radiant_mega_shop_custom_control_scripts' );